## Week 2 - The Whole Meatball

This week we go through the entire workflow for creating a CNC automation.

### Running An Automation

To begin the lesson, we start off by getting familiar with using a Gcode sender application to control a CNC machine. This lesson includes:

* how to set up the machine
* mounting materials
* calibrating the machine
* loading gcode files
* activating and monitoring the machine

Following this, students will have a good idea of what can and can not be done at the gcode sending software, and can proceed to learning how the automation file was created.

### Creating an Automation

In the second part of the lesson, students will get familiar with using a CAD/CAM application. They will create their first parametric model using design tools, then learn to create automation using CAM tools.

Concepts covered include:

* Why CAD software is used
* Workbenches
* Relational modelling
* Constraints
* Alias and the Spreadsheet
* Cam Workbench
* Job setup
* CAM operations
* Tool bit programming
* Post-processing and generation of Gcode